/*CSS Reset and apply the font for Open Sans for all element*/

*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: 'Open Sans', sans serif;
}

/*Style for jumbotron*/
#landing-jumbo {
	/*height - occupy 75% of the screen's height*/
	height: 75vh;

	/*assign the flex container*/
	display: flex;

	/*vertically center the elements inside the jumbotron*/
	align-items: center;

	/*add background color as well as text color*/
	background-color: #6DCCDE;
	color: #FFF;
}

/*Style all the heading elements with font to be zilla slab*/

h1, h2 , h3, h4, h5, h6 {
	font-family: 'Zilla Slab', serif;
}

/*profile image*/
#profile-image {
	background-image: url("http://via.placeholder.com/150");
	/*stretch the background*/
	background-size: cover;
	/*prevent image from repeating*/
	background-repeat: no-repeat;
	/*center the background*/
	background-position: center;
	/*set the height to 50vh*/
	height: 50vh;
}

/*skills*/
.tech-stack {
	height: 100px;
	margin-top: 15px;
	background-size: contain; 
	/*what does contain mean?*/
	background-repeat: no-repeat;
	background-position: center;
}

#html {
	background-image: url("http://via.placeholder.com/150");
}

#css {
	background-image: url("http://via.placeholder.com/150");
}

#js {
	background-image: url("http://via.placeholder.com/150");
}

#gitlab {
	background-image: url("http://via.placeholder.com/150");
}

#google {
	background-image: url("http://via.placeholder.com/150");
}

#work-button {
	margin: 20px;
}

/*more styling for the main section and body*/
body {
	background-color: #eee;
}

#main-section {
	background-color: #fff;
	padding: 70px 50px;
	border-radius: 30px;
}

footer {
	display: flex;
	justify-content: flex-end; 
	/*Brings the elements inside the footer to the right */
	margin-top: 20px;
	padding: 5px;
}
